org.apache.fop.fonts

## Class FontCacheManagerFactory

- java.lang.Object
- - org.apache.fop.fonts.FontCacheManagerFactory

    public final class FontCacheManagerFactory
    extends Object

A factory that provides the font caching manager mechanism.

### Method Summary

All Methods Static Methods Concrete Methods
`static FontCacheManager` `createDefault()` Create the default font caching mechanism.
`static FontCacheManager` `createDisabled()` Create a disabled font caching mechanism which by definition does nothing to cache fonts.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createDefault

    public static FontCacheManager createDefault()

Create the default font caching mechanism.

Returns:
  the font cache manager

#### createDisabled

    public static FontCacheManager createDisabled()

Create a disabled font caching mechanism which by definition does nothing to cache fonts.

Returns:
  a completely restricted font cache manager